/* CSS Variables */

:root {
    --font-size: 16px;
    --secondary-colour: #808080;
    --supplementary-colour: #D3D3D3;
    --white-background:#FFF;
    --border-colour: #000;
    --current-font-size: 1em;
    --subheader-font-size: 1.1em;
    --header-font-size: 1.3em;
    --header-height: 55px;
    --header-height-desktop: 60px;
    --current-letter-spacing: 0px;
    --current-line-spacing: 20px;
    --current-word-spacing: 0px;
    --current-saturation: 1;
    --current-contrast: 1;
    --current-invert: 0;
    --current-text-colour: #000000;
    --margin: 20px;
    --margin-top: 20px;
    --margin-bottom: 20px;
    --margin-left: 20px;
    --margin-right: 20px;
    --font-bold: 700;
    --border-radius: 10px;
    --padding: 10px;
    --padding-top: 10px;
    --padding-bottom: 10px;
    --padding-right: 10px;
    --padding-left: 10px;
    --box-shadow-inset: inset rgba(60, 64, 67, 0.3) 0 1px 2px 0, inset rgba(60, 64, 67, 0.15) 0 2px 6px 2px;
    --box-shadow-outer: rgba(60, 64, 67, 0.3) 0 1px 2px 0, rgba(60, 64, 67, 0.15) 0 2px 6px 2px;
    --border: 2px solid var(--border-colour, #000);
    --stroke: #ffffff;
}

.colour-palette-primary {
    --main-colour: #FF8C00;
    --main-text-colour: #FF8C00;
    --secondary-text-colour: #000;
    --text-colour: #000;
    --platform-fill: #EAEAEA;
    --platform-stroke: #EAEAEA;
    --accessibility-fill: #4F7AFC;
    --accessibility-stroke: #FFFFFF;
    --facilities-fill: #E94E3A;
    --facilities-stroke: #FFFFFF;
    --gateline-fill: #E94E3A;
    --gateline-stroke: #FFFFFF;
    --entrance-fill: #0F957E;
    --entrance-stroke: #71797E;
    --toilet-fill: #0589D6;
    --toilet-stroke: #FFFFFF;
    --ramp-fill: #444444;
    --ramp-stroke: #FFFFFF;
    --retail_default-fill: #8567cb;
    --retail_default-stroke: #FFFFFF;
    --retail-fill: #CB6773;
    --retail-stroke: #FFFFFF;
    --foodanddrink-fill: #56382d;
    --foodanddrink-stroke: #FFFFFF;
    --map-icon-svg-generic: white;
    --map_icon_bg: #295282;
    --map_icon_se: #6B957C;
    --map_icon_se_placeholder: #133e65;
}

.colour-palette-cb1 {
    --main-colour: #005256;
    --main-text-colour: #005256;
    --secondary-text-colour: #FFFFFF;
    --text-colour: #FFFFFF;
    --platform-fill: #EAEAEA;
    --platform-stroke: #EAEAEA;
    --accessibility-fill: #929cc9;
    --accessibility-stroke: #FFFFFF;
    --facilities-fill: #9F8748;
    --facilities-stroke: #FFFFFF;
    --gateline-fill: #9F8748;
    --gateline-stroke: #FFFFFF;
    --entrance-fill: #005256;
    --entrance-stroke: #71797E;
    --toilet-fill: #b0b4ca;
    --toilet-stroke: #FFFFFF;
    --ramp-fill: #d2c5c5;
    --ramp-stroke: #FFFFFF;
    --retail_default-fill: #4e3f71;
    --retail_default-stroke: #FFFFFF;
    --retail-fill: #ccc5ba;
    --retail-stroke: #FFFFFF;
    --foodanddrink-fill: #005256;
    --foodanddrink-stroke: #FFFFFF;
    --map-icon-svg-generic: white;
    --map_icon_bg: #39457a;
    --map_icon_se: #9F8748;
    --map_icon_se_placeholder: #9F8748;
}

.colour-palette-cb2 {
    --main-colour: #084d82;
    --main-text-colour: #084d82;
    --secondary-text-colour: #FFFFFF;
    --text-colour: #FFFFFF;
    --platform-fill: #EAEAEA;
    --platform-stroke: #EAEAEA;
    --accessibility-fill: #084d82;
    --accessibility-stroke: #FFFFFF;
    --facilities-fill: #ab822e;
    --facilities-stroke: #FFFFFF;
    --gateline-fill: #ab822e;
    --gateline-stroke: #FFFFFF;
    --entrance-fill: #9B84B3;
    --entrance-stroke: #71797E;
    --toilet-fill: #218AB2;
    --toilet-stroke: #FFFFFF;
    --ramp-fill: #444444;
    --ramp-stroke: #FFFFFF;
    --retail_default-fill: #739a9c;
    --retail_default-stroke: #FFFFFF;
    --retail-fill: #dd4444;
    --retail-stroke: #FFFFFF;
    --foodanddrink-fill: #9B84B3;
    --foodanddrink-stroke: #FFFFFF;
    --map-icon-svg-generic: white;
    --map_icon_bg: #821d30;
    --map_icon_bg-stroke: white;
    --map_icon_bg-stroke-width: 2;
    --map_icon_se: #000000;
    --map_icon_se_placeholder: #478c5c;
}

.colour-palette-grey {
    --main-colour: #000000;
    --main-text-colour: #000000;
    --secondary-text-colour: #FFFFFF;
    --text-colour: #FFFFFF;
    --platform-fill: #EAEAEA;
    --platform-stroke: #EAEAEA;
    --accessibility-fill: #D3D3D3;
    --accessibility-stroke: #71797E;
    --facilities-fill: #D3D3D3;
    --facilities-stroke: #71797E;
    --gateline-fill: #D3D3D3;
    --gateline-stroke: #71797E;
    --entrance-fill: #D3D3D3;
    --entrance-stroke: #71797E;
    --toilet-fill: #D3D3D3;
    --toilet-stroke: #71797E;
    --ramp-fill: #a3a3a3;
    --ramp-stroke: #71797E;
    --retail_default-fill: #717171;
    --retail_default-stroke: #71797E;
    --retail-fill: #D3D3D3;
    --retail-stroke: #71797E;
    --foodanddrink-fill: #D3D3D3;
    --foodanddrink-stroke: #71797E;
    --map-icon-svg-generic: white;
    --map_icon_bg: #010101;
    --map_icon_se: #030303;
    --map_icon_se_placeholder: var(--main-text-colour);
    --platform_box_placeholder: #000000;
}